summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2020-06-21 16:31:39 +0200
committerPatrice Clement <monsieurp@gentoo.org>2020-06-21 16:57:52 +0200
commit468ebcba97dfd4ed70d029e530c93380c8808cad (patch)
tree1c6973ff16183c127684eeb6353b92489c486963 /app-vim
parentapp-arch/vimball: stable for amd64+x86. (diff)
downloadgentoo-468ebcba97dfd4ed70d029e530c93380c8808cad.tar.gz
gentoo-468ebcba97dfd4ed70d029e530c93380c8808cad.tar.bz2
gentoo-468ebcba97dfd4ed70d029e530c93380c8808cad.zip
app-vim/pyclewn: add python{3_7,3_8} targets.
Tested and compiles just fine. Closes: https://bugs.gentoo.org/718264 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/pyclewn/pyclewn-2.1-r2.ebuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/app-vim/pyclewn/pyclewn-2.1-r2.ebuild b/app-vim/pyclewn/pyclewn-2.1-r2.ebuild
new file mode 100644
index 00000000000..e57e74a6736
--- /dev/null
+++ b/app-vim/pyclewn/pyclewn-2.1-r2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit vim-plugin distutils-r1
+
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+DESCRIPTION="Pyclewn allows using vim as a front end to a debugger (pdb or gdb)"
+HOMEPAGE="http://pyclewn.sourceforge.net/"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+SLOT="0"
+
+CDEPEND="|| (
+ app-editors/vim
+ app-editors/gvim[netbeans]
+)"
+
+DEPEND="
+ ${CDEPEND}
+ app-arch/vimball"
+
+RDEPEND="
+ ${DEPEND}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+ default
+
+ # async in a now a reserved keyword.
+ sed -e 's#async#_async#g;' \
+ -i lib/clewn/gdb.py || die "can't patch gdb.py"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ python_optimize
+
+ vimball -x -C "${ED}"/usr/share/vim/vimfiles lib/clewn/runtime/${P}.vmb || die "Extracting vimball failed"
+}
+
+pkg_postinst() {
+ vim-plugin_pkg_postinst
+
+ optfeature "C/C++ debugging" sys-devel/gdb
+ optfeature "Python debugging" dev-python/pdb-clone
+}